
namespace Deskcandy {
  public class Application : Gtk.Application {
    private Gtk.Window window;

    public Application() {
      Object(application_id: "moe.solarpunk.Deskcandy");
    }

    public override void activate() {
      this.window = this.active_window;
      if (this.window == null) {
        this.window = new Window(this);
      }

      this.window.present();

      var desktop_win = new DesktopWindow(this);
      desktop_win.present();
    }
  }
}
